Subject: Re: Why does 'submodule add' stage the relevant portions?

From: Jonathan Nieder <[email-masked]>
Date: Mon, 25 Mar 2013 12:13:56 -0700

Ramkumar Ramachandra wrote:

> This whole "backward compatibility" thing is not black-or-white: it's
> shades of gray.  Can I ask about how "backward incompatible" the other
> suggestions I listed were, just so I get a rough idea of your scale?

It depends on how important the change is and how painful the proposed
transition is.

Please don't gratuitously break things.  If there is a smooth way to
accomplish the intended effect without much downside, that is
generally preferred, even if it is harder to write the code.

There are no absolutes here.  It is about helping people in the
real world who never asked for such-and-such feature to avoid
suffering real breakage.

Hope that helps,
Jonathan